﻿@page
@model Nasr.WebPage_v1.Pages.AirportsModel
<div class="row">
    <ul class="nav">
        <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="/Index">Home</a>
        </li>
    </ul>
    <h1 class="display-2">Airports</h1>
    <table class="table">
        <thead class="thead-inverse">
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Airport Name</th>
                <th scope="col">Effective Date</th>
                <th scope="col">LatDeg</th>
                <th scope="col">LonDeg</th>
                <th scope="col">ICAO</th>
                <th scope="col">Is Towered</th>
                <th scope="col">Facility Type</th>
                <th scope="col">Airspace</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var a in Model.Airports)
            {
                <tr>
                    <td>@a.Id</td>
                    <td>@a.Name</td>
                    <td>@a.EffectiveDate</td>
                    <td>@a.LatDeg</td>
                    <td>@a.LonDeg</td>
                    <td>@a.Icao</td>
                    <td>@a.IsTowered</td>
                    <td>@a.FacilityType</td>
                    <td>@a.Airspace</td>
                </tr>
            }
        </tbody>
    </table>
</div>

<!--
        public DateTime EffectiveDate { get; set; }
        public string Id { get; set; }
        public double LatDeg { get; set; }
        public double LonDeg { get; set; }
        public string Icao { get; set; }
        public string Name { get; set; }
        public bool? IsTowered { get; set; }
        public int FacilityType { get; set; }
        public int Airspace { get; set; }

        public virtual ICollection<LandingArea>
    LandingAreas { get; set; }
    public virtual ICollection<RadioFreq> RadioFreqs { get; set; }
-->


